# $Revision: 1.7 $, $Date: 2010/08/21 19:08:39 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_ISPN
Summary:	%{_pearname} - validation class for ISPN (International Standard Product Numbers)
Summary(pl.UTF-8):	%{_pearname} - klasa sprawdzania poprawności ISPN (Internation Standard Product Numbers)
Name:		php-pear-%{_pearname}
Version:	0.6.1
Release:	2
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e8393a93b0e30a7c44959f0dc08e5533
URL:		http://pear.php.net/package/Validate_ISPN/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.1.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.4.0
Requires:	php-pear-Validate >= 0.5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes ISPN (International Standard Product Numbers)
validations such as:
 - ISSN
 - ISBN
 - ISMN
 - ISRC (International Standard Recording Code)
 - EAN8
 - EAN13
 - EAN14
 - UCC12
 - SSCC

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ten pakiet zawiera metody sprawdzania poprawności ISPN (Internation
Standard Product Numbers) takich jak:
 - ISSN
 - ISBN
 - ISMN
 - ISRC (International Standard Recording Code)
 - EAN8
 - EAN13
 - EAN14
 - UCC12
 - SSCC

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/LICENSE
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/ISPN.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate_ISPN.spec,v $
Revision 1.7  2010/08/21 19:08:39  glen
- updated deps with pearize.sh
- release 2

Revision 1.6  2007/07/05 22:00:05  glen
- update to 0.6.1, added -tests

Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.3  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.2  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.1  2006/01/12 10:29:41  adamg
- new

